Subject: Re: bug#31284: [PATCH 0/1] guix: Add git-fetch/impure.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 29 Apr 2018 19:21:08 +0200

Hello,

Chris Marusich <[email-masked]> skribis:

> You've both said that you would prefer not to add git-fetch/impure to
> Guix.  Can you help me to understand why you feel that way?  I really
> think it would be nice if Guix could fetch Git repositories over SSH
> using public key authentication, so I'm hoping that we can talk about it
> and figure out an acceptable way to implement it.

One argument against it would be that it encourages people (or at least
makes it very easy) to write origins that depend on external state, and
thus may be non-reproducible by others, and that Guix itself should
provide tools for writing reproducible build definitions.

Ludo’.